Verify a key
GET
/ping
const url = 'https://api.govza.app/v1/partner/ping';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.govza.app/v1/partner/ping \ --header 'Authorization: Bearer <token>'Confirms the key works and reports which account it acts as.
Authorizations
Заголовок раздела «Authorizations»Responses
Заголовок раздела «Responses»The key is valid.
Media typeapplication/json
object
success
boolean
data
object
ok
boolean
account
object
id
string
email
string
scopes
The current partner API has one scope, orders:write. It grants
access to the full partner API, including reading orders. A
separate read-only scope is not currently available.
Array<string>
rate_limit_per_minute
integer
Examplegenerated
{ "success": true, "data": { "ok": true, "account": { "id": "example", "email": "example" }, "scopes": [ "example" ], "rate_limit_per_minute": 1 }}The key is missing, malformed, revoked, or its account can no longer create orders.
Media typeapplication/json
object
success
boolean
error
object
id
string
code
string
message
string
details
string
Example
{ "success": false}